<?php


namespace Schaffen\Core\Company\Repositories;

use Freelabois\LaravelQuickstart\Extendables\Repository;
use Schaffen\Core\Company\Models\Branch;

class BranchRepository extends Repository
{
    protected $model = Branch::class;
    protected $searchableFields = [
    ];

    public function applyCustomFilters()
    {
        $fil_certificado_passwd = NULL;
        $fil_pessoa = false;
        extract($this->filters);

        $this->query->when($fil_certificado_passwd, function ($query) use ($fil_certificado_passwd) {
            switch($fil_certificado_passwd ?? 'default') {
                case 'not_null':
                    return $query->whereNotNull('fil_certificado_passwd');
            }
        });
        $this->query->when($fil_pessoa, function ($query) use ($fil_pessoa) {
            switch($fil_pessoa ?? 'default') {
                case 'true':
                    return $query->with('pessoa');
            }
        });

    }
}
