<?php

namespace Schaffen\Core\Movement\Models;

use Illuminate\Database\Eloquent\Model;
use Schaffen\Core\Traits\Audit;

class ItemMovementBatch extends Model
{
    use Audit;

    protected $table = "movimentacao.movimentacao_item_lote";
    protected $primaryKey = "mil_codigo";

    const CREATED_AT = 'created_at';
    const UPDATED_AT = 'updated_at';

    const CREATED_BY = 'created_by';
    const UPDATED_BY = 'updated_by';

    protected $fillable = [
        "mil_operacao",
        "mil_fk_mov_codigo",
        "mil_fk_lot_codigo",
        "mil_fk_pve_codigo",
        "mil_fk_loe_codigo",
        "mil_quantidade",
        "mil_data_cancelamento",
        "mil_sentido",
    ];
}
