<?php
/**
 * Created for Schaffen IT.
 * User: Thiago Traczykowski
 */

namespace Schaffen\Core\Movement\Models;


use Illuminate\Database\Eloquent\Model;
use Schaffen\Core\Product\Models\ProductVarietyPack;

class SalesItem extends Model
{
   protected $table = "movimentacao.venda_item";
   public $timestamps = false;
   protected $primaryKey = 'vei_codigo';

   protected $fillable = [
       "vei_fk_pve_codigo",
       "vei_fk_ven_codigo",
       "vei_quantidade",
       "vei_valor_unitario",
       "vei_desconto",
       "vei_total"
   ];

   public function product_variety_pack(){
       return $this->belongsTo(ProductVarietyPack::class, 'vei_fk_pve_codigo')->with('sales_product_variety');
   }

}
