<?php


namespace Schaffen\Core\Person\Managers;


use Freelabois\LaravelQuickstart\Extendables\ManipulationManager;
use Illuminate\Support\Facades\DB;
use Schaffen\Core\Person\Models\Address;
use Schaffen\Core\Person\Repositories\AddressRepository;

class AddressManager extends ManipulationManager
{

    /**
     * @var AddressRepository
     */
    protected $repository;

    public function __construct(AddressRepository $repository)
    {
        $this->repository = $repository;
    }

    public function storeOrUpdate($values, int $id = null, $relations = [])
    {
        return DB::transaction(function () use ($values, $id, $relations) {
            if (isset($values['pee_padrao']) && $values['pee_padrao'] === 1) {
                $pes_codigo = null;
                if (isset($values['pee_fk_pes_codigo'])) {
                    $pes_codigo = $values['pee_fk_pes_codigo'];
                }
                if (!$pes_codigo && $id) {
                    /** @var Address $address */
                    $pes_codigo = $this->repository->setSelect(['pee_fk_pes_codigo'])
                        ->find($id)->pee_fk_pes_codigo;
                }
                $query = $this->repository->newQuery();
                $query->where('pee_fk_pes_codigo', $pes_codigo)
                    ->where('pee_padrao', '=', 1)
                    ->update(['pee_padrao' => 0]);
            }
            return parent::storeOrUpdate($values, $id, $relations);
        });
    }
}
