<?php

namespace Schaffen\Core\Product\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;
use Schaffen\Core\Traits\Audit;

class Batch extends Model
{
  use SoftDeletes;
  use Audit;

  protected $connection = 'dynamicdb';
  protected $table = 'produto.lote';
  protected $primaryKey = "lot_codigo";

  protected $fillable = [
    "lot_descricao",
    "lot_validade",
    "lot_fabricacao",
    "lot_status",
  ];

  public function product_batch() {
    return $this->hasMany(ProductVarietyPackBatch::class, 'lopv_fk_lot_codigo');
  }
}
