<?php

namespace Schaffen\Core\Product\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;
use Schaffen\Core\Traits\Audit;

class ProductVarietyPackBatch extends Model
{
  use SoftDeletes;
  use Audit;

  protected $connection = 'dynamicdb';
  protected $table = 'produto.lote_produto_variedade_embalagem';
  protected $primaryKey = "lopv_codigo";

  const CREATED_AT = 'created_at';
  const UPDATED_AT = 'updated_at';

  const CREATED_BY = 'created_by';
  const UPDATED_BY = 'updated_by';

  protected $fillable = [
    "lopv_fk_pve_codigo",
    "lopv_fk_lot_codigo",
  ];

  public function lote()
  {
    return $this->belongsTo(Batch::class, 'lopv_fk_lot_codigo');
  }
}
